org.apache.ignite.internal.processors.cache.persistence.wal.record

## Class HeaderRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.processors.cache.persistence.wal.record.HeaderRecord

    public class HeaderRecord
    extends WALRecord

Header record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Field Summary

Fields
`static long` `COMPACTED_MAGIC` Magic of WAL segment with skipped physical records.
`static long` `REGULAR_MAGIC` Magic of regular WAL segment.

### Constructor Summary

Constructors
Constructor and Description
`HeaderRecord(int ver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`WALRecord.RecordType` `type()`
`int` `version()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### REGULAR_MAGIC

    public static final long REGULAR_MAGIC

Magic of regular WAL segment.

See Also:
  Constant Field Values

#### COMPACTED_MAGIC

    public static final long COMPACTED_MAGIC

Magic of WAL segment with skipped physical records.

See Also:
  Constant Field Values

### Constructor Detail

#### HeaderRecord

    public HeaderRecord(int ver)

Parameters:
  `ver` - Version.

### Method Detail

#### version

    public int version()

Returns:
  Version.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021